Bug 1326434 - File conflict between kde-l10n-sr and other kde packages
Summary: File conflict between kde-l10n-sr and other kde packages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kde-l10n
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-12 16:38 UTC by Mike FABIAN
Modified: 2016-05-09 18:14 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-09 18:14:36 UTC


Attachments (Terms of Use)
full-error-output.txt (208.82 KB, text/plain)
2016-04-12 17:06 UTC, Mike FABIAN
no flags Details

Description Mike FABIAN 2016-04-12 16:38:23 UTC
On Fedora-Workstation-netinst-x86_64-24_Alpha-1.7.iso:

[mfabian@Fedora-Workstation-netinst-x86_6 ~]$ sudo dnf groupinstall kde-desktop-environment
<-netinst-x86_6 ~]$ sudo dnf groupinstall kde-desktop-environment

[...]

エラー: トランザクションの確認時にエラー:
  file /usr/share/locale/sr@ijekavian/LC_MESSAGES/kfilemetadata.mo conflicts between attempted installs of kde-l10n-sr-15.12.3-3.fc24.noarch and kf5-kfilemetadata-5.20.0-1.fc24.x86_64
  file /usr/share/locale/sr@ijekavianlatin/LC_MESSAGES/kfilemetadata.mo conflicts between attempted installs of kde-l10n-sr-15.12.3-3.fc24.noarch and kf5-kfilemetadata-5.20.0-1.fc24.x86_64

[...]


  file /usr/share/locale/sr@latin/LC_MESSAGES/baloo_file_extractor.mo conflicts between attempted installs of kf5-baloo-file-5.20.0-1.fc24.x86_64 and kde-l10n-sr-15.12.3-3.fc24.noarch

エラーの要約
-------------

[mfabian@Fedora-Workstation-netinst-x86_6 ~]$

Comment 1 Parag Nemade 2016-04-12 17:05:42 UTC
not sure how many similar conflicts are occurring currently in Fedora 24. Already saw 2 different conflicts for 2 different locale packages.

Comment 2 Mike FABIAN 2016-04-12 17:06:12 UTC
Created attachment 1146556 [details]
full-error-output.txt

Comment 3 Rex Dieter 2016-04-12 19:06:14 UTC
Wow, the -sr tranlations are conflicts galore alright :(

I'll take a look.

Comment 4 Fedora Update System 2016-04-13 00:28:47 UTC
bluedevil-5.6.2-1.fc24 breeze-gtk-5.6.2-1.fc24 kactivitymanagerd-5.6.2-1.fc24 kde-cli-tools-5.6.2-1.fc24 kde-gtk-config-5.6.2-1.fc24 kde-l10n-15.12.3-5.fc24 kdecoration-5.6.2-1.fc24 kdeplasma-addons-5.6.2-1.fc24 kf5-kwayland-5.6.2-1.fc24 kgamma-5.6.2-1.fc24 khelpcenter-5.6.2-1.fc24 khotkeys-5.6.2-1.fc24 kinfocenter-5.6.2-1.fc24 kmenuedit-5.6.2-1.fc24 kscreen-5.6.2-1.fc24 kscreenlocker-5.6.2-1.fc24 ksshaskpass-5.6.2-1.fc24 ksysguard-5.6.2-1.fc24 kwayland-integration-5.6.2-1.fc24 kwin-5.6.2-1.fc24 kwrited-5.6.2-1.fc24 libkscreen-qt5-5.6.2-1.fc24 libksysguard-5.6.2-1.fc24 lxqt-config-0.10.0-6.fc24 pam-kwallet-5.6.2-1.fc24 plasma-breeze-5.6.2-2.fc24 plasma-desktop-5.6.2-2.fc24 plasma-integration-5.6.2-1.fc24 plasma-mediacenter-5.6.2-1.fc24 plasma-milou-5.6.2-1.fc24 plasma-nm-5.6.2-1.fc24 plasma-oxygen-5.6.2-1.fc24 plasma-pa-5.6.2-1.fc24 plasma-sdk-5.6.2-1.fc24 plasma-systemsettings-5.6.2-1.fc24 plasma-user-manager-5.6.2-1.fc24 plasma-workspace-5.6.2-1.fc24 plasma-workspace-wallpapers-5.6.2-1.fc24 polkit-kde-5.6.2-1.fc24 powerdevil-5.6.2-1.fc24 sddm-kcm-5.6.2-1.fc24 spectacle-15.12.3-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-eb9300cee7

Comment 5 Fedora Update System 2016-04-13 00:29:05 UTC
bluedevil-5.6.2-1.fc24 breeze-gtk-5.6.2-1.fc24 kactivitymanagerd-5.6.2-1.fc24 kde-cli-tools-5.6.2-1.fc24 kde-gtk-config-5.6.2-1.fc24 kde-l10n-15.12.3-5.fc24 kdecoration-5.6.2-1.fc24 kdeplasma-addons-5.6.2-1.fc24 kf5-kwayland-5.6.2-1.fc24 kgamma-5.6.2-1.fc24 khelpcenter-5.6.2-1.fc24 khotkeys-5.6.2-1.fc24 kinfocenter-5.6.2-1.fc24 kmenuedit-5.6.2-1.fc24 kscreen-5.6.2-1.fc24 kscreenlocker-5.6.2-1.fc24 ksshaskpass-5.6.2-1.fc24 ksysguard-5.6.2-1.fc24 kwayland-integration-5.6.2-1.fc24 kwin-5.6.2-1.fc24 kwrited-5.6.2-1.fc24 libkscreen-qt5-5.6.2-1.fc24 libksysguard-5.6.2-1.fc24 lxqt-config-0.10.0-6.fc24 pam-kwallet-5.6.2-1.fc24 plasma-breeze-5.6.2-2.fc24 plasma-desktop-5.6.2-2.fc24 plasma-integration-5.6.2-1.fc24 plasma-mediacenter-5.6.2-1.fc24 plasma-milou-5.6.2-1.fc24 plasma-nm-5.6.2-1.fc24 plasma-oxygen-5.6.2-1.fc24 plasma-pa-5.6.2-1.fc24 plasma-sdk-5.6.2-1.fc24 plasma-systemsettings-5.6.2-1.fc24 plasma-user-manager-5.6.2-1.fc24 plasma-workspace-5.6.2-1.fc24 plasma-workspace-wallpapers-5.6.2-1.fc24 polkit-kde-5.6.2-1.fc24 powerdevil-5.6.2-1.fc24 sddm-kcm-5.6.2-1.fc24 spectacle-15.12.3-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-eb9300cee7

Comment 6 Fedora Update System 2016-04-13 21:26:20 UTC
bluedevil-5.6.2-1.fc24, breeze-gtk-5.6.2-1.fc24, kactivitymanagerd-5.6.2-1.fc24, kde-cli-tools-5.6.2-1.fc24, kde-gtk-config-5.6.2-1.fc24, kde-l10n-15.12.3-5.fc24, kdecoration-5.6.2-1.fc24, kdeplasma-addons-5.6.2-1.fc24, kf5-kwayland-5.6.2-1.fc24, kgamma-5.6.2-1.fc24, khelpcenter-5.6.2-1.fc24, khotkeys-5.6.2-1.fc24, kinfocenter-5.6.2-1.fc24, kmenuedit-5.6.2-1.fc24, kscreen-5.6.2-1.fc24, kscreenlocker-5.6.2-1.fc24, ksshaskpass-5.6.2-1.fc24, ksysguard-5.6.2-1.fc24, kwayland-integration-5.6.2-1.fc24, kwin-5.6.2-1.fc24, kwrited-5.6.2-1.fc24, libkscreen-qt5-5.6.2-1.fc24, libksysguard-5.6.2-1.fc24, lxqt-config-0.10.0-6.fc24, pam-kwallet-5.6.2-1.fc24, plasma-breeze-5.6.2-2.fc24, plasma-desktop-5.6.2-2.fc24, plasma-integration-5.6.2-1.fc24, plasma-mediacenter-5.6.2-1.fc24, plasma-milou-5.6.2-1.fc24, plasma-nm-5.6.2-1.fc24, plasma-oxygen-5.6.2-1.fc24, plasma-pa-5.6.2-1.fc24, plasma-sdk-5.6.2-1.fc24, plasma-systemsettings-5.6.2-1.fc24, plasma-user-manager-5.6.2-1.fc24, plasma-workspace-5.6.2-1.fc24, plasma-workspace-wallpapers-5.6.2-1.fc24, polkit-kde-5.6.2-1.fc24, powerdevil-5.6.2-1.fc24, sddm-kcm-5.6.2-1.fc24, spectacle-15.12.3-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-eb9300cee7

Comment 7 Mike FABIAN 2016-04-14 07:50:46 UTC
The update seems to have fixed the problem because "dnf groupinstall kde-desktop-environment" works now.

Comment 8 Mike FABIAN 2016-04-14 08:18:13 UTC
"dnf groupinstall kde-desktop-environment" also installs glibc-all-langpacks-2.23.1-5.fc24.x86_64, why? Is that intentional?

Comment 9 Rex Dieter 2016-04-14 11:44:26 UTC
Intentional yes, it's part of kde-desktop-environment group.  locales/langpacks won't work 100% as expected without it.

Comment 10 Fedora Update System 2016-04-15 03:19:41 UTC
bluedevil-5.6.2-1.fc24, breeze-gtk-5.6.2-1.fc24, kactivitymanagerd-5.6.2-1.fc24, kde-cli-tools-5.6.2-1.fc24, kde-gtk-config-5.6.2-1.fc24, kde-l10n-15.12.3-5.fc24, kdecoration-5.6.2-1.fc24, kdeplasma-addons-5.6.2-1.fc24, kf5-kwayland-5.6.2-1.fc24, kgamma-5.6.2-1.fc24, khelpcenter-5.6.2-1.fc24, khotkeys-5.6.2-1.fc24, kinfocenter-5.6.2-1.fc24, kmenuedit-5.6.2-1.fc24, kscreen-5.6.2-1.fc24, kscreenlocker-5.6.2-1.fc24, ksshaskpass-5.6.2-1.fc24, ksysguard-5.6.2-1.fc24, kwayland-integration-5.6.2-1.fc24, kwin-5.6.2-1.fc24, kwrited-5.6.2-1.fc24, libkscreen-qt5-5.6.2-1.fc24, libksysguard-5.6.2-1.fc24, lxqt-config-0.10.0-6.fc24, pam-kwallet-5.6.2-1.fc24, plasma-breeze-5.6.2-2.fc24, plasma-desktop-5.6.2-2.fc24, plasma-integration-5.6.2-1.fc24, plasma-mediacenter-5.6.2-1.fc24, plasma-milou-5.6.2-1.fc24, plasma-nm-5.6.2-1.fc24, plasma-oxygen-5.6.2-1.fc24, plasma-pa-5.6.2-1.fc24, plasma-sdk-5.6.2-1.fc24, plasma-systemsettings-5.6.2-1.fc24, plasma-user-manager-5.6.2-1.fc24, plasma-workspace-5.6.2-1.fc24, plasma-workspace-wallpapers-5.6.2-1.fc24, polkit-kde-5.6.2-1.fc24, powerdevil-5.6.2-1.fc24, sddm-kcm-5.6.2-1.fc24, spectacle-15.12.3-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Rex Dieter 2016-05-09 18:14:36 UTC
Fixed


Note You need to log in before you can comment on or make changes to this bug.